Subject: Bug#683363: xserver-xorg-video-nouveau: basically freezes when using some 3D apps (Neverball, etracer) on GeForce 7300 GS (EQ overflowing, mouse may still move)

From: Filipus Klutiero <[email-masked]>
Date: Thu, 02 Aug 2012 08:39:42 -0400

Hi Sven,

On 2012-08-01 14:31, Sven Joachim wrote:
> On 2012-07-31 02:21 +0200, Filipus Klutiero wrote:
>
>> On this system, using a GeForce 7300 GS, nouveau works for general
>> display, but has a big problem with 3D acceleration.
> Yes, the 3D driver in Mesa 8.0 and earlier for this card is known to
> have problems, and it's unsupported upstream.  See also
> https://bugs.freedesktop.org/show_bug.cgi?id=40406 for a similar case
> with the same card.
>
>> I noticed this
>> when starting Neverball. It froze about 2 seconds after starting. The
>> cursor would then keep moving, but nothing else would
>> happen. Switching to a tty won't work. I reproduced this at
>> will. Apparently, the freeze always happens at a specific point. In
>> Neverball, the welcome screen uses 3D acceleration, so there is no
>> need to do anything to provoke the crash.
> Does it get any better if you disable AIGLX in xorg.conf or downgrade
> xserver-xorg-video-nouveau to the version in testing?
Disabling AIGLX does not help. Downgrading does not help (I must have 
upgraded hoping it would help). However, what happens seems to be 
different in that X apparently does not log anything (EQ 
overflowing/backtraces).
>
>> I tested the nvidia driver on the same machine and I don't get the
>> same issue.
> If you're serious about 3D, the blob is the least of the evils, at least
> until Mesa 8.1 is released
>
>> I am able to SSH into the machine when it's frozen and the console
>> works fine. I can kill X and restart the display manager, but I
>> couldn't recover (the screen gets garbled).
> See http://nouveau.freedesktop.org/wiki/LockupRecovery for possibilities
> to recover from the GPU lockup.

Thanks, I wasn't aware of that. I succeeded to kill X that way, but I 
didn't see the console and I didn't quite manage to recover.
>
>> X logs backtrace and reports EQ overflowing. As I write these lines, I
>> realize the highly abnormal X log files on the system. This probably
>> comes from an nvidia driver-related bug. gdm would not start nor fail
>> to start before I configured X to use the nvidia driver.
> Actually, this is a gdm3 bug.
>
>

Thank you

The name of the problematic etracer track is In Search of Vodka. In my 
last test, it froze at 00:51. The previous time (after disabling AIGLX), 
etracer froze differently. the sound stopped after a few seconds. The 
cursor appeared again, this time as a normal mouse cursor).